
# norootforbuild

Name:           libdvdplay
License:        GPL
Group:          Productivity/Multimedia/Other
Summary:        A Portable Abstraction Library for DVD Menu Support
Version:        1.0.1
Release:        1.2
Source0:        http://www.videolan.org/pub/libdvdplay/%{version}/libdvdplay-%{version}.tar.bz2
URL:            http://developers.videolan.org/libdvdplay/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  libdvdread-devel

%description
libdvdplay is a portable abstraction library for DVD menu support. It
provides a simple API to access a DVD device as a block device. This
package contains the libdvdplay runtime library.


%debug_package
%package devel
Summary:        A portable abstraction library for DVD menus support
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description devel
libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device. This
package contains the libdvdplay static libraries and header files.


%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f }}
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --libdir=%{_libdir} --includedir=/usr/include
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS COPYING NEWS README THANKS TODO ChangeLog

%files devel
%defattr(-,root,root)
/usr/include/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog -n libdvdplay
* Fri Dec 28 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

